View Issue Details

IDProjectCategoryView StatusLast Update
0003119Ham Radio DeluxeBugpublic2019-02-24 15:12
ReporterK7ZCZAssigned ToK7ZCZ 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version6.5.0.184 
Target VersionFixed in Version6.5.0.196 
Summary0003119: FT-891 EQ1 Level, EQ2 Level, and EQ3 Level sliders don't work correctly
DescriptionThe FT-891's band-based equalizer settings each have levels to set their effect. Rig Control doesn't correctly reflect the setting on the radio. The software can't control the radio's setting correctly, either. The range of the settings are incorrect.
Steps To Reproduce1) Start Rig Control connect to an FT-891
2) Make sure the "122 EQ1 Level" slider is shown. This test should also be done with the "125 EQ2 Level" and "128 EQ3 Level" sliders
3) hold "F" button on the radio to enter the settings menu
4) Use the Multi knob to find setting 15-02, which is "EQ1 Level"
5) Adjust the slider in Rig Control

BUG#1) It doesn't work. The radio doesn't change settings and the slider snaps back to its previous position.

6) Use the "Multi" knob to adjust the setting in the radio.

BUG#2) Rig control updates the slider, but the scale isn't correct. Seems like the radio's setting of "0" maps to "-20" in Rig Control, and "10" on the radio maps to "-10" in Rig Control. Rig control's slider ranges form -20 to +20, inclusive.

TagsFT-891, Yaesu
ModuleRig Control
Sub-ModuleRadio Support
Testing Beta Successful

Activities

K7ZCZ

2019-01-29 13:36

administrator   ~0007124

Fixed with this checkin:
https://hrdsoftware.visualstudio.com/HRD/_versionControl/changeset/4775

WA9PIE

2019-02-05 15:01

administrator   ~0007268

Validated

Issue History

Date Modified Username Field Change
2019-01-27 11:19 K7ZCZ New Issue
2019-01-27 11:25 K7ZCZ Tag Attached: FT-891
2019-01-27 11:25 K7ZCZ Tag Attached: Yaesu
2019-01-29 13:36 K7ZCZ Assigned To => K7ZCZ
2019-01-29 13:36 K7ZCZ Status new => resolved
2019-01-29 13:36 K7ZCZ Resolution open => fixed
2019-01-29 13:36 K7ZCZ Note Added: 0007124
2019-01-29 22:47 K7ZCZ Fixed in Version => 6.5.0.188
2019-02-05 15:01 WA9PIE Status resolved => closed
2019-02-05 15:01 WA9PIE Description Updated View Revisions
2019-02-05 15:01 WA9PIE Steps to Reproduce Updated View Revisions
2019-02-05 15:01 WA9PIE Testing Not Started => Beta Successful
2019-02-05 15:01 WA9PIE Note Added: 0007268
2019-02-24 14:40 WA9PIE Fixed in Version 6.5.0.188 => 6.5.0.196
2019-02-24 15:12 WA9PIE Project 3 - Current Dev List => Ham Radio Deluxe